# $Revision: 1.6 $, $Date: 2006/12/30 11:04:39 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	QuickForm_Livesearch
%define		_status		beta
%define		_pearname	HTML_QuickForm_Livesearch

Summary:	%{_pearname} - element for HTML_QuickForm to enable a suggest search
Summary(pl):	%{_pearname} - element HTML_QuickForm pozwalajcy na doczenie sugestii do wyszukiwania
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	1
License:	PHP License 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fae2e8c0e0e8e03ea5197d9c3430cb00
URL:		http://pear.php.net/package/HTML_QuickForm_Livesearch/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR
Requires:	php-pear-HTML_QuickForm > 3.2.4
Requires:	php-pear-HTML_AJAX > 0.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package adds an element to the PEAR::HTML_QuickForm package to
dynamically create an HTML input text element that at every keypressed
javascript event, returns a list of options in a dynamic dropdown
select box(live dropdown select).

This element use AJAX (Communication from JavaScript to your browser
without reloading the page).

This type of livesearch is useful when you have a form with a dropdown
list with a large number of row.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet ten dodaje do PEAR::HTML_QuickForm element pozwalajcy na
dynamicznie tworzenie pola input formularza HTML, ktry na kade
zdarzenie wcinicia klawisza zwraca list opcji w dynamicznej licie
wyboru (live dropdown select).

Element ten korzysta z technologii AJAX (komunikacja z JavaScript bez
potrzeby przeadowania strony).

Ten tym 'ywego' wyszukiwania jest przydatny w przypadku formularza z
list wyboru z du liczb pozycji.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/QuickForm/livesearch_select.php
%dir %{php_pear_dir}/data/HTML_QuickForm_Livesearch
%{php_pear_dir}/data/HTML_QuickForm_Livesearch/live.js

%files tests
%defattr(644,root,root,755)
%dir %{php_pear_dir}/tests/HTML_QuickForm_Livesearch
%dir %{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/auto_server.php
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/index.php
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/livesearch.class.php
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/live.js
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/style.css
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/shadowAlpha.png
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/shadow.gif
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch/example/myfunction.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm_Livesearch.spec,v $
Revision 1.6  2006/12/30 11:04:39  adamg
- updated to 0.3.2

Revision 1.5  2006/09/02 17:52:38  adamg
- updated to 0.3.1

Revision 1.4  2006/06/26 07:57:15  adamg
- updated to 0.3.0

Revision 1.3  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/27 21:45:15  qboosh
- missing dirs

Revision 1.1  2006/04/24 10:30:10  adamg
- new
